Oracle Solaris Third-Party Patch Update : grails (cve_2012_1833_permissions_privileges)

Medium Nessus Plugin ID 80633


The remote Solaris system is missing a security patch for third-party software.


The remote Solaris system is missing necessary patches to address security updates :

- VMware SpringSource Grails before 1.3.8, and 2.x before 2.0.2, does not properly restrict data binding, which might allow remote attackers to bypass intended access restrictions and modify arbitrary object properties via a crafted request parameter to an application.


Upgrade to Solaris

See Also

Plugin Details

Severity: Medium

ID: 80633

File Name: solaris11_grails_20140415.nasl

Version: $Revision: 1.1 $

Type: local

Published: 2015/01/19

Modified: 2015/01/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: cpe:/o:oracle:solaris:11.1, p-cpe:/a:oracle:solaris:grails

Required KB Items: Host/local_checks_enabled, Host/Solaris11/release, Host/Solaris11/pkg-list

Patch Publication Date: 2014/04/15

Reference Information

CVE: CVE-2012-1833